Skip to Content

Tools

11 endpoints

POST /api/v5/artifacts/tools/search

Search Tool

Search tools — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ search?: `string` | `null` filter_department_ids?: `string`[] | `null` filter_agent_ids?: `string`[] | `null` filter_creatable?: `string`[] | `null` department_search?: `string` | `null` agent_search?: `string` | `null` page_size?: `integer` | `null` page_offset?: `integer` | `null` }

Response:

{ actor_name?: `string` | `null` tools?: `ListToolApiTool`[] | `null` department_filter?: `ListFilterSection` | `null` agent_filter?: `ListFilterSection` | `null` creatable_filter?: `ListFilterSection` | `null` total_count?: `integer` | `null` }

POST /api/v5/artifacts/tools/get

Get Tool

Get tool information using the canonical shared tool operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ tool_id?: `string` | `null` draft_id?: `string` | `null` }

Response:

{ actor_name?: `string` | `null` tool_exists?: `boolean` | `null` can_edit?: `boolean` | `null` disabled_reason?: `string` | `null` draft_version?: `integer` | `null` group_id?: `string` | `null` basic_show_ai_generate?: `boolean` | `null` args_show_ai_generate?: `boolean` | `null` arg_positions_show_ai_generate?: `boolean` | `null` args_outputs_show_ai_generate?: `boolean` | `null` names?: `ToolNameSection` | `null` descriptions?: `ToolDescriptionSection` | `null` flags?: `ToolFlagSection` | `null` args?: `ToolArgSection` | `null` arg_positions?: `ToolArgPositionSection` | `null` args_outputs?: `ToolArgOutputSection` | `null` artifacts?: `ToolArtifactSection` | `null` operations?: `ToolOperationSection` | `null` }

POST /api/v5/artifacts/tools/create

Create Tool

Create tools using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ tools: `CreateToolItem`[] }

Response:

{ results: `ToolResultItem`[] }

POST /api/v5/artifacts/tools/update

Update Tool

Update tools using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ tools: `UpdateToolItem`[] }

Response:

{ results: `ToolResultItem`[] }

POST /api/v5/artifacts/tools/duplicate

Duplicate Tool

Duplicate a tool — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ tool_id: `string` }

Response:

{ success: `boolean` tool_id: `string` message: `string` }

POST /api/v5/artifacts/tools/delete

Delete Tool

Bulk delete tools — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ tool_ids: `string`[] }

Response:

{ results: `DeleteToolResult`[] }

PATCH /api/v5/artifacts/tools/draft

Patch Tool Draft

Patch tool draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` name_id?: `string` | `null` description?: `string` | `null` description_id?: `string` | `null` flag_ids?: `string`[] | `null` department_ids?: `string`[] | `null` arg_ids?: `string`[] | `null` arg_position_ids?: `string`[] | `null` args_output_ids?: `string`[] | `null` artifact_ids?: `string`[] | `null` operation_ids?: `string`[] | `null` }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `ToolDraftFormState` | `null` }

POST /api/v5/artifacts/tools/drafts

Get Tool Drafts

List tool drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetToolDraftResponse`[] | `null` }

POST /api/v5/artifacts/tools/export

Export Tools

Export all tools as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ tool_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/tools/docs

Get Tool Docs Endpoint

Get composed documentation for the tool artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

POST /api/v5/artifacts/tools/refresh

Tool Refresh

Refresh tool materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

Last updated on